Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_RSA_PKCS_OAEP_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_MECHANISM_TYPE | hashAlg
CK_RSA_PKCS_MGF_TYPE | mgf
CK_VOID_PTR | pSourceData
CK_RSA_PKCS_OAEP_SOURCE_TYPE | source
CK_ULONG | ulSourceDataLen

## Detailed Description

Definition at line 1266 of file pkcs11t.h.

## Member Data Documentation

CK_MECHANISM_TYPE CK_RSA_PKCS_OAEP_PARAMS::hashAlg

Definition at line 1267 of file pkcs11t.h.

CK_RSA_PKCS_MGF_TYPE CK_RSA_PKCS_OAEP_PARAMS::mgf

Definition at line 1268 of file pkcs11t.h.

CK_VOID_PTR CK_RSA_PKCS_OAEP_PARAMS::pSourceData

Definition at line 1270 of file pkcs11t.h.

CK_RSA_PKCS_OAEP_SOURCE_TYPE CK_RSA_PKCS_OAEP_PARAMS::source

Definition at line 1269 of file pkcs11t.h.

CK_ULONG CK_RSA_PKCS_OAEP_PARAMS::ulSourceDataLen

Definition at line 1271 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h